#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	haveged
Version		:	1.9.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Linux entropy source using the HAVEGE algorithm
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/jirka-h/haveged

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	coreutils
BuildRequires	:	gcc
BuildRequires	:	glibc

Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
A Linux entropy source using the HAVEGE algorithm
 
Haveged is a user space entropy daemon which is not dependent upon the
standard mechanisms for harvesting randomness for the system entropy
pool. This is important in systems with high entropy needs or limited
user interaction (e.g. headless servers).
 
Haveged uses HAVEGE (HArdware Volatile Entropy Gathering and Expansion)
to maintain a 1M pool of random bytes used to fill /dev/random
whenever the supply of random bits in /dev/random falls below the low
water mark of the device. The principle inputs to haveged are the
sizes of the processor instruction and data caches used to setup the
HAVEGE collector. The haveged default is a 4kb data cache and a 16kb
instruction cache. On machines with a cpuid instruction, haveged will
attempt to select appropriate values from internal tables.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_sbindir}/haveged
%{_libdir}/libhavege.so.2*
%{_mandir}/man8/haveged.8.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{name}
  fi

%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
%{_sbindir}/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

#=============================================================================
%package		devel
Summary		:	Headers and shared development libraries for HAVEGE algorithm

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description    	devel
Headers and shared object symbolic links for the HAVEGE algorithm

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root, -)
%{_includedir}/%{name}/havege.h
%{_libdir}/libhavege.so
%{_mandir}/man3/libhavege.3.gz

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-daemon					\
	--enable-init					\
	--enable-nistest				\
	--disable-enttest 				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	INSTALL="install -p"				\
	install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete


#-----------------------------------------------------------------------------
%changelog
